--- db42.SlackBuild	2006-04-03 20:40:20.000000000 -0400
+++ db42.SlackBuild.s390x	2006-07-31 23:11:47.000000000 -0400
@@ -14,7 +14,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -46,12 +46,14 @@
 CXXFLAGS="$SLKCFLAGS" \
 ../dist/configure \
   --prefix=/usr \
+  --libdir='${exec_prefix}/lib64' \
   --enable-shared \
   --enable-rpc \
   --enable-compat185 \
   $ARCH-slackware-linux
 make -j3
 make install DESTDIR=$PKG
+chown -R root:bin $PKG/usr/bin
 ( cd $PKG
   find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
   find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -74,10 +76,10 @@
 
 # Put libdb-4.2.so into /lib since it might be needed
 # before /usr is mounted.
-mkdir -p $PKG/lib
-mv $PKG/usr/lib/libdb-4.2.so $PKG/lib/libdb-4.2.so
-( cd $PKG/usr/lib
-  ln -sf /lib/libdb-4.2.so .
+mkdir -p $PKG/lib64
+mv $PKG/usr/lib64/libdb-4.2.so $PKG/lib64/libdb-4.2.so
+( cd $PKG/usr/lib64
+  ln -sf /lib64/libdb-4.2.so .
 )
 
 ( cd $PKG/usr/include
@@ -101,11 +103,11 @@
 
 # Not the default DB version:
 rm -f $PKG/usr/include/{db.h,db_185.h,db_cxx.h}
-rm -f $PKG/usr/lib/libdb-4.so
-rm -f $PKG/usr/lib/libdb.{a,so}
+rm -f $PKG/usr/lib64/libdb-4.so
+rm -f $PKG/usr/lib64/libdb.{a,so}
 # We will not be linking statically against this, either.
 # If you need to do that, drag up an old package from the Slackware 10.2 era...
-rm -f $PKG/usr/lib/*.a
+rm -f $PKG/usr/lib64/*.a
 
 mkdir -p $PKG/install
 cat $CWD/slack-desc > $PKG/install/slack-desc
